Page 1 of 2

Patch 1.1 - New October 2012

Posted: Sat Oct 06, 2012 7:49 am
by hanako
We have a new patch out with some minor bugfixes and, more importantly,

DEATH CHIBIS

There are now new graphics and new music for killing off Elodie.

To get the new content, go to the Preferences menu and select 'Check For Updates'. Adjust your setting to enable beta patches, and then upgrade to 1.1

Please let us know if you encounter any problems!

Posted: Sat Oct 06, 2012 1:07 pm
by Aqouze
thank for an update.

at least, i can have fun dying lol

Posted: Sat Oct 13, 2012 1:50 am
by Bombermans
YEEESH!!!

I definitely was wanting that option. It seemed that the deaths were like a punishment and not part of the fun. Now it is!! :D :D :D And they even are unlockeable in the checklist!

Posted: Wed Oct 17, 2012 4:24 am
by biscuit
When I tried running the updater, I got this message:

I'm sorry, but an uncaught exception occurred.

While running game code:
AttributeError: 'NoneType' object has no attribute 'filename'

-- Full Traceback ------------------------------------------------------------

Full traceback:
File "C:\Program Files\Long Live The Queen\renpy\bootstrap.py", line 274, in bootstrap
File "C:\Program Files\Long Live The Queen\renpy\main.py", line 354, in main
File "C:\Program Files\Long Live The Queen\renpy\main.py", line 69, in run
File "C:\Program Files\Long Live The Queen\renpy\warp.py", line 101, in warp
AttributeError: 'NoneType' object has no attribute 'filename'

Windows-post2008Server-6.1.7601-SP1
Ren'Py 6.12.2.1531
Long Live The Queen 0.1


What happened? :(

Posted: Wed Oct 17, 2012 4:44 am
by hanako
Are you one of our vista/7 users who occasionally has weird updater problems?

Posted: Wed Oct 17, 2012 2:54 pm
by biscuit
I've run the updater before and never had a problem. How would I check if I am a vista/7 user?

Posted: Thu Oct 18, 2012 2:41 am
by biscuit
Derp, found out; and yes I am. I never had the problem updating before though. :/

Posted: Thu Oct 18, 2012 3:26 am
by Spiky Caterpillar
What version (and original and partial) versions does the update screen say you have?

What are the contents of the file C:\Program Files\Long Live The Queen\game\updater_admin.bat?

It may work if you either run the updater again or right-click the app in the start menu and run as Administrator, as well. (If it does, please let us know which approach worked.)

Posted: Thu Oct 18, 2012 3:43 am
by biscuit
Current version: 0.6.9
Updated from 0.5.31.1

And running as an administrator seemed like it was going to work... but after a while of seeing the updates, I suddenly got this message:

I'm sorry, but an uncaught exception occurred.

After initialization, but before game start.
TypeError: set_mode() takes exactly 3 arguments (2 given)

-- Full Traceback ------------------------------------------------------------

Full traceback:
File "C:\Program Files\Long Live The Queen\renpy\bootstrap.py", line 274, in bootstrap
File "C:\Program Files\Long Live The Queen\renpy\main.py", line 343, in main
File "C:\Program Files\Long Live The Queen\renpy\display\core.py", line 1149, in __init__
File "C:\Program Files\Long Live The Queen\renpy\display\core.py", line 1311, in set_mode
File "gldraw.pyx", line 246, in renpy.display.gldraw.GLDraw.set_mode (gldraw.c:2913)
TypeError: set_mode() takes exactly 3 arguments (2 given)

Windows-post2008Server-6.1.7601-SP1
Ren'Py 6.12.2.1531
Long Live The Queen 0.1

When I actually open the game though, it looks like everything has updated... and ooh boy was I playing an old version. :O I haven't touched the game in months.

Posted: Thu Oct 18, 2012 2:25 pm
by Ikaru
Oh, heck yes! Now to play again! Yea! I missed playing but had gotten all the checklist done...

Posted: Tue Oct 23, 2012 2:30 am
by cruelhazel
I, too, am a Windows 7 user having an issue with the updater. :-(

Posted: Tue Oct 23, 2012 2:44 am
by hanako
Try running the updater twice in a row (that is, letting it run and restart itself, then running it again without closing the program in between) - sometimes this helps jiggle the permissions settings so that the update will actually take.

Posted: Tue Oct 23, 2012 10:02 pm
by cruelhazel
Alas! I have tried that. :-( Repeatedly. >.<
I managed to get it "Partially updated" to 1.1...?

Posted: Tue Oct 23, 2012 10:45 pm
by Spiky Caterpillar
It looks from your uploaded traceback like the version you're updating from has a bug in the updater. We can send you a manual patch to the updater or a new installer if you like; it may also work if you right-click on Long Live The Queen in the start menu and select 'Run as Administrator', or if you run it as administrator once and then a second time as a normal user.

Posted: Tue Oct 23, 2012 11:05 pm
by cruelhazel
Ah! Ran as an admin and the update went through fine! Thank you!